%global gitcommit a2603a357a383f6d00e16f03b461adba7cdf0fe2
%global gitcommitdate 20241023.213440
%global shortcommit %(c=%{gitcommit}; echo ${c:0:7})

Name:           kunifiedpush
Version:        22.04.00~%{gitcommitdate}.%{shortcommit}
Release:        1%{?dist}
Summary:        UnifiedPush client library and distributor daemon
License:        BSD-2-Clause AND CC0-1.0 AND BSD-3-Clause AND LGPL-2.0-or-later
URL:            https://invent.kde.org/libraries/kunifiedpush

# This is likely to be where it ends up being downloaded from
#Source :        https://download.kde.org/%%{stable_kf6}/release-service/%%{version}/src/%%{name}-%%{version}.tar.xz

Source:         https://invent.kde.org/libraries/%{name}/-/archive/%{gitcommit}/%{name}-%{gitcommit}.tar.gz

BuildRequires:  extra-cmake-modules
BuildRequires:  gcc-c++
BuildRequires:  kf6-rpm-macros
BuildRequires:  desktop-file-utils
# Qt dependencies
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6WebSockets)
BuildRequires:  cmake(Qt6DBus)
# KF dependencies
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6KCMUtils)

%description
%{summary}.

%package devel
Summary:        %{name} development headers
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Required headers to build components based
on %{name}.

%prep
%autosetup -n %{name}-%{gitcommit}

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang kcm_push_notifications

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/kcm_push_notifications.desktop

%files -f kcm_push_notifications.lang
%license LICENSES/*
%doc README.md
%{_kf6_libdir}/libKUnifiedPush.so.22.04.00
%{_kf6_libdir}/libKUnifiedPush.so.1
%{_bindir}/kunifiedpush-distributor
%{_sysconfdir}/xdg/autostart/org.kde.kunifiedpush-distributor.desktop
%{_kf6_qtplugindir}/plasma/kcms/systemsettings/kcm_push_notifications.so
%{_datadir}/applications/kcm_push_notifications.desktop
%{_sysconfdir}/xdg/KDE/kunifiedpush-distributor.conf
%{_datadir}/qlogging-categories6/org_kde_kunifiedpush.categories

%files devel
%{_kf6_libdir}/libKUnifiedPush.so
%{_includedir}/KUnifiedPush/
%{_libdir}/cmake/KUnifiedPush/

%changelog
* Fri Oct 11 2024 Steve Cossette <farchord@gmail.com> - 22.04.00~20241023.213440.a2603a3
- Initial build
